Bug 6601 - [UPDATE REQUEST] mikmod 3.2.2 -> 3.2.7
: [UPDATE REQUEST] mikmod 3.2.2 -> 3.2.7
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-18 18:46 MSK by Giovanni Mariani
Modified: 2016-02-09 14:13 MSK (History)
2 users (show)

See Also:
RPM Package: mikmod
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Giovanni Mariani 2016-01-18 18:46:54 MSK
New release for mikmod: 3.2.7

Changes since our 3.2.2:
- Made MikMod compilable against older versions of libmikmod.
- Fixed a minor buffer overrun (sf.net bug #2).
- Fixed a minor string format issue
- Addressed some snprintf issues and MSVC6 compilation issues
- Fixed some compiler warnings, minor cleanups
- Fix ALSA driver options menu for libmikmod2 versions >= 3.1.13.
- Fix compilation against ancient libmikmod1 versions <= 3.1.6.
- Fix curses linkage on some setups (add -ltinfo if necessary.)
- Support for AmigaOS and its variants like MorphOS, AROS (thanks
  to Szilard Biro for lots of help.)
- Several portability tweaks
- Several code clean-ups
- Removed ancient convert_playlist script which used to supposed
  to convert pre-ancient mikmod playlists.
- Documentation update.
Comment 1 Giovanni Mariani 2016-01-18 18:48:07 MSK
Advisory: update mikmod to release 3.2.7.

Packages (published on Testing):
https://abf.rosalinux.ru/build_lists/2619623
https://abf.rosalinux.ru/build_lists/2619624
Comment 2 Vladimir Potapov 2016-02-03 20:16:37 MSK
The update is sent to expanded testing
****************************************
Comment 3 Vladimir Potapov 2016-02-09 14:04:36 MSK
mikmod-3.2.7-1
https://abf.rosalinux.ru/build_lists/2619623
https://abf.rosalinux.ru/build_lists/2619624
*************************** Advisory ******************************
update mikmod to release 3.2.7
*******************************************************************
QA Verified